Package Details: conky-git 1.18.3.r14.ga9cecaf9-3

Git Clone URL: https://aur.archlinux.org/conky-git.git (read-only, click to copy)
Package Base: conky-git
Description: Lightweight system monitor for X
Upstream URL: https://github.com/brndnmtthws/conky
Licenses: GPL, BSD
Conflicts: conky
Provides: conky
Submitter: Beini
Maintainer: FabioLolix
Last Packager: mrdotx
Votes: 15
Popularity: 0.000071
First Submitted: 2015-09-17 10:36 (UTC)
Last Updated: 2023-03-24 13:33 (UTC)

Dependencies (28)

Required by (10)

Sources (1)

Latest Comments

1 2 3 Next › Last »

Morta commented on 2024-05-14 19:19 (UTC)

catch2 dependency has to replace by catch2-v2

lervag commented on 2024-04-04 12:03 (UTC)

I just installed this and I had an error with catch2:

/home/lervag/.cache/paru/clone/conky-git/src/conky/tests/test-common.cc:32:10: fatal error: catch2/catch.hpp: No such file or directory
   32 | #include "catch2/catch.hpp"
      |          ^~~~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [tests/CMakeFiles/test-conky.dir/build.make:76: tests/CMakeFiles/test-conky.dir/test-common.cc.o] Error 1
make[2]: *** Waiting for unfinished jobs....
/home/lervag/.cache/paru/clone/conky-git/src/conky/tests/test-conky.cc:29:10: fatal error: catch2/catch.hpp: No such file or directory
   29 | #include "catch2/catch.hpp"
      |          ^~~~~~~~~~~~~~~~~~
/home/lervag/.cache/paru/clone/conky-git/src/conky/tests/test-linux.cc:29:10: fatal error: catch2/catch.hpp: No such file or directory
   29 | #include "catch2/catch.hpp"
      |          ^~~~~~~~~~~~~~~~~~
compilation terminated.
compilation terminated.

I fixed this by removing the fix for glibc in the prepare step:

diff --git a/PKGBUILD b/PKGBUILD
index 6b83837..0606a14 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -62,8 +62,8 @@ prepare() {
     cd "$_pkgname"

     # Unbundle catch2 to fix build with glibc 2.35
-    rm -r tests/catch2
-    ln -s /usr/include/catch2 tests
+    # rm -r tests/catch2
+    # ln -s /usr/include/catch2 tests
 }

 build() {

Perhaps the fix for glibc 2.35 is no longer necessary?

servimo commented on 2023-01-11 15:55 (UTC) (edited on 2023-01-11 15:56 (UTC) by servimo)

I installed https://aur.archlinux.org/packages/conky-cairo.(built for nvidia - Just change one variable to build the git version - defaults to release version.)

servimo commented on 2023-01-05 14:50 (UTC)

==> Updated version: conky-git 1.17.0.r9.gd3e9bcbe-1

[ 39%] Building CXX object src/CMakeFiles/conky_core.dir/text_object.cc.o cc1plus: all warnings being treated as errors make[2]: * [src/CMakeFiles/conky_core.dir/build.make:328: src/CMakeFiles/conky_core.dir/scroll.cc.o] Error 1 make[2]: Waiting for other processes to terminate. make[2]: Leaving directory '/var/tmp/pamac-build-sergio/conky-git/src/conky/build'

make[1]: *** [CMakeFiles/Makefile2:409: src/CMakeFiles/conky_core.dir/all] Error 2 make[1]: Leaving directory '/var/tmp/pamac-build-sergio/conky-git/src/conky/build'

make: *** [Makefile:166: all] Error 2 make: Leaving directory '/var/tmp/pamac-build-sergio/conky-git/src/conky/build'

==> ERROR: A failure occurred in build(). Aborting...

servimo commented on 2022-12-30 14:11 (UTC)

There is a new version of conky: 1.16.1

rado84 commented on 2022-04-03 23:32 (UTC)

Not lua53 helps, not downgrading lua helps either - makepkg exited with code 4 and that's it. Seems like conky is dead, unless someone with programming/scripting knowledge decides to fix it.

pingplug commented on 2021-04-26 00:04 (UTC)

the master branch is renamed to main